//Preset Loadout Script by JKingsley
	//Anti-Tank

_box = _this select 0; 
_unit = _this select 1;
_id = _this select 2;

//String of classes that are allowed to select this loadout
_classAllowed = Class_Medic_No;

//Checks if the player is in the allowed classes string
if ( !(typeof _unit in _classAllowed) ) exitWith {_unit groupChat "You are incapable of taking that loadout."};

removeAllWeapons _unit;
removeBackpack _unit;

_rifle = AT_Rifle;
_rmags = AT_Rifle_Mags;
_bino = Bino;
_nvg = NVG;
_pistol = AT_Pistol;
_pmags = AT_Pistol_Mags;

removeAllWeapons _unit;

_unit addWeapon _rifle;
_unit addWeapon _pistol;
_unit addWeapon _bino;
_unit addWeapon _nvg;
{_unit addMagazine _rmags} forEach [1,2,3,4,5,6];
{_unit addMagazine _pmags} forEach [1,2,3,4,5,6,7,8];

//Adds a GPS if they don't have one
if (_unit hasWeapon "ItemGPS") then {} else { _unit addWeapon "ItemGPS"; };

//Reload Weapons
reload _unit;

//Removes Actions
_box removeAction actionID1;
_box removeAction actionID2;
_box removeAction actionID3;
_box removeAction actionID4;
_box removeAction actionID5;
_box removeAction actionID6;

//Executes the sub-menus
execVM "scripts\PresetLoadout\BLUFOR\Sub\Sub_AT.sqf";
