//Preset Loadout Script by JKingsley
	//Mk12
	
_box = boxMain; 
_unit = _this select 1;
_id = _this select 2;

//Special Equipment Section
_classSpecial = Class_Laser_Special;

removeAllWeapons _unit;
removeBackpack _unit;

//Loadout Section
_rifle = O_Sniper;
_rmags = O_Sniper_Mags;
_bino = Bino;
_nvg = NVG;
_pistol = O_Pistol;
_pmags = O_Pistol_Mags;
_smokes = Smoke;
_nades = Grenade;
_charges = Bomb;

removeAllWeapons _unit;

_unit addWeapon _rifle;
_unit addWeapon _pistol;
_unit addWeapon _bino;
_unit addWeapon _nvg;
{_unit addMagazine _rmags} forEach [1,2,3,4,5,6];
{_unit addMagazine _pmags} forEach [1,2,3,4,5,6,7,8];
{_unit addMagazine _smokes} forEach [1,2];
{_unit addMagazine _nades} forEach [1,2];
{_unit addMagazine _charges} forEach [1];

//Checks if the player is in the special classes string
if (typeof _unit in _classSpecial) then { 
											{_unit removeMagazine _rmags} forEach [1]; 
											_unit removeWeapon Bino; 
											_unit addWeapon Laser; 
											{_unit addMagazine Laser_Batteries} forEach [1];
												} else {};

//Adds a GPS if they don't have one
if (_unit hasWeapon "ItemGPS") then {} else { _unit addWeapon "ItemGPS"; };

//Reload Weapons
reload player;

//Remove Actions for Sub-Menu
_box removeAction subID1;
_box removeAction subID2;
_box removeAction main;

//Adds Main Actions
actionID1 = _box addAction ['<t color="#FFFF00">' + "Rifleman" + '</t>', "scripts\PresetLoadout\BLUFOR\Rifleman.sqf"];
actionID2 = _box addAction ['<t color="#FFFF00">' + "Support" + '</t>', "scripts\PresetLoadout\BLUFOR\Support.sqf"];
actionID3 = _box addAction ['<t color="#FFFF00">' + "Anti-Tank" + '</t>', "scripts\PresetLoadout\BLUFOR\AT.sqf"];
actionID4 = _box addAction ['<t color="#FFFF00">' + "Marksman" + '</t>', "scripts\PresetLoadout\BLUFOR\Marksman.sqf"];
actionID5 = _box addAction ['<t color="#FFFF00">' + "Officer" + '</t>', "scripts\PresetLoadout\BLUFOR\Officer.sqf"];
