//Preset Loadout Script by JKingsley
	//Officer
	
_box = _this select 0; 
_unit = _this select 1;
_id = _this select 2;

//Special Equipment Section
_classSpecial = classMainSpecial;

removeAllWeapons _unit;
removeBackpack _unit;

//Loadout Section
_rifle = offRifle;
_rmags = offRMags;
_bino = bino;
_nvg = nvg;
_pistol = pistolMain;
_pmags = pMagsMain;
_smokes = smoke;
_nades = grenade;
_charges = bomb;
_back = backMain;

removeAllWeapons _unit;

_unit addWeapon _rifle;
_unit addWeapon _pistol;
_unit addWeapon _bino;
_unit addWeapon _nvg;
{_unit addMagazine _rmags} forEach [1,2,3,4,5,6];
{_unit addMagazine _pmags} forEach [1,2,3,4,5,6,7,8];
{_unit addMagazine _smokes} forEach [1,2];
{_unit addMagazine _nades} forEach [1,2];
{_unit addMagazine _charges} forEach [1];

//Checks if the player is in the special classes string
if (typeof _unit in _classSpecial) then { 
											{_unit removeMagazine _rmags} forEach [1]; 
											_unit removeWeapon bino; 
											_unit addWeapon specialMain; 
											{_unit addMagazine specialMags} forEach [1];
												} else {};

//Adds a GPS if they don't have one
if (_unit hasWeapon "ItemGPS") then {} else { _unit addWeapon "ItemGPS"; };

//Adds Backpack
_unit addBackpack _back;
_unitBack = unitBackpack _unit;
clearMagazineCargo _unitBack;
clearWeaponCargo _unitBack;
_unitBack addMagazineCargo [_rmags,8];

//Reload Weapons
reload player;

//Removes Actions
_box removeAction actionID1;
_box removeAction actionID2;
_box removeAction actionID3;
_box removeAction actionID4;
_box removeAction actionID5;
_box removeAction actionID6;

//Executes the sub-menus
execVM "scripts\PresetLoadout\BLUFOR\Sub\Sub_Officer.sqf";
