//Preset Loadout Script by JKingsley
	//Support
	
_box = _this select 0; 
_unit = _this select 1;
_id = _this select 2;

//String of classes that are allowed to select this loadout
_classAllowed = Class_Medic_Yes;

//Checks if the player is in the allowed classes string
if ( !(typeof _unit in _classAllowed) ) exitWith {_unit groupChat "You are incapable of taking that loadout."};

//Special Equipment Section
_classSpecial = Class_Laser_Special;

removeAllWeapons _unit;
removeBackpack _unit;

//Loadout Section
_rifle = S_Rifle;
_rmags = S_Rifle_Mags;
_bino = Bino;
_nvg = NVG;
_pistol = S_Pistol;
_pmags = S_Pistol_Mags;
_smokes = Smoke;
_nades = Grenade;
_charges = Bomb;
_back = Backpack;

removeAllWeapons _unit;

_unit addWeapon _rifle;
_unit addWeapon _pistol;
_unit addWeapon _bino;
_unit addWeapon _nvg;
{_unit addMagazine _rmags} forEach [1,2,3,4,5,6,7,8];
{_unit addMagazine _pmags} forEach [1,2,3,4,5,6,7,8];
{_unit addMagazine _smokes} forEach [1,2,3,4];

//Checks if the player is in the special classes string
if (typeof _unit in _classSpecial) then { 
											{_unit removeMagazine _rmags} forEach [1]; 
											_unit removeWeapon Bino; 
											_unit addWeapon Laser; 
											{_unit addMagazine Laser_Batteries} forEach [1];
												} else {};

//Adds a GPS if they don't have one
if (_unit hasWeapon "ItemGPS") then {} else { _unit addWeapon "ItemGPS"; };

//Reload Weapons
reload _unit;

//Adds Backpack
_unit addBackpack _back;
_unitBack = unitBackpack _unit;
clearMagazineCargo _unitBack;
clearWeaponCargo _unitBack;
_unitBack addMagazineCargo [_smokes,8];
_unitBack addMagazineCargo [_rmags,16];

//Removes Actions
_box removeAction actionID1;
_box removeAction actionID2;
_box removeAction actionID3;
_box removeAction actionID4;
_box removeAction actionID5;

//Executes the sub-menus
execVM "scripts\PresetLoadout\BLUFOR\Sub\Sub_Support.sqf";